window.Gleam.initSearch([{"doc":"chromatic","title":"chromatic","content":"# Chromatic\n\nBeautiful, expressive and composable color and text formatting for CLI in Gleam.\n\n[![Package Version](https://img.shields.io/hexpm/v/chromatic)](https://hex.pm/packages/chromatic)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/chromatic/)\n\n## Usage\n```sh\ngleam add chromatic\n```\nThe best way to use this is through Gleam&#39;s pipelines.\n\nCheck it out!\n\n```gleam\nimport chromatic.{bold, italic, magenta, rainbow}\n\npub fn main() {\n io.println(\n    &quot;Hello &quot;\n    &lt;&gt; &quot;Gleam&quot;\n    |&gt; magenta\n    |&gt; italic\n    |&gt; bold\n    &lt;&gt; &quot;, this is &quot;\n    &lt;&gt; &quot;Chromatic&quot;\n    |&gt; rainbow\n    |&gt; bold,\n  )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/chromatic&gt;.\n\nA whole bunch of new features are coming soon!\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"chromatic","title":"bg_black","content":"pub fn bg_black(string: String) -&gt; String\n Set background color to black.\nSynonyms:\nchromatic.bg_black\nchromatic bg_black","url":"chromatic.html#bg_black"},{"doc":"chromatic","title":"bg_blue","content":"pub fn bg_blue(string: String) -&gt; String\n Set background color to blue.\nSynonyms:\nchromatic.bg_blue\nchromatic bg_blue","url":"chromatic.html#bg_blue"},{"doc":"chromatic","title":"bg_bright_blue","content":"pub fn bg_bright_blue(string: String) -&gt; String\n Set background color to a lighter blue.\nSynonyms:\nchromatic.bg_bright_blue\nchromatic bg_bright_blue","url":"chromatic.html#bg_bright_blue"},{"doc":"chromatic","title":"bg_bright_cyan","content":"pub fn bg_bright_cyan(string: String) -&gt; String\n Set background color to a lighter cyan.\nSynonyms:\nchromatic.bg_bright_cyan\nchromatic bg_bright_cyan","url":"chromatic.html#bg_bright_cyan"},{"doc":"chromatic","title":"bg_bright_green","content":"pub fn bg_bright_green(string: String) -&gt; String\n Set background color to a lighter green.\nSynonyms:\nchromatic.bg_bright_green\nchromatic bg_bright_green","url":"chromatic.html#bg_bright_green"},{"doc":"chromatic","title":"bg_bright_magenta","content":"pub fn bg_bright_magenta(string: String) -&gt; String\n Set background color to a lighter magenta.\nSynonyms:\nchromatic.bg_bright_magenta\nchromatic bg_bright_magenta","url":"chromatic.html#bg_bright_magenta"},{"doc":"chromatic","title":"bg_bright_red","content":"pub fn bg_bright_red(string: String) -&gt; String\n Set background color to a lighter red.\nSynonyms:\nchromatic.bg_bright_red\nchromatic bg_bright_red","url":"chromatic.html#bg_bright_red"},{"doc":"chromatic","title":"bg_bright_white","content":"pub fn bg_bright_white(string: String) -&gt; String\n Set background color to a bright white color\nSynonyms:\nchromatic.bg_bright_white\nchromatic bg_bright_white","url":"chromatic.html#bg_bright_white"},{"doc":"chromatic","title":"bg_bright_yellow","content":"pub fn bg_bright_yellow(string: String) -&gt; String\n Set background color to a lighter yellow.\nSynonyms:\nchromatic.bg_bright_yellow\nchromatic bg_bright_yellow","url":"chromatic.html#bg_bright_yellow"},{"doc":"chromatic","title":"bg_cyan","content":"pub fn bg_cyan(string: String) -&gt; String\n Set background color to cyan.\nSynonyms:\nchromatic.bg_cyan\nchromatic bg_cyan","url":"chromatic.html#bg_cyan"},{"doc":"chromatic","title":"bg_gray","content":"pub fn bg_gray(string: String) -&gt; String\n Set background color to gray.\nSynonyms:\nchromatic.bg_gray\nchromatic bg_gray","url":"chromatic.html#bg_gray"},{"doc":"chromatic","title":"bg_green","content":"pub fn bg_green(string: String) -&gt; String\n Set background color to green.\nSynonyms:\nchromatic.bg_green\nchromatic bg_green","url":"chromatic.html#bg_green"},{"doc":"chromatic","title":"bg_magenta","content":"pub fn bg_magenta(string: String) -&gt; String\n Set background color to magenta.\nSynonyms:\nchromatic.bg_magenta\nchromatic bg_magenta","url":"chromatic.html#bg_magenta"},{"doc":"chromatic","title":"bg_red","content":"pub fn bg_red(string: String) -&gt; String\n Set background color to red.\nSynonyms:\nchromatic.bg_red\nchromatic bg_red","url":"chromatic.html#bg_red"},{"doc":"chromatic","title":"bg_white","content":"pub fn bg_white(string: String) -&gt; String\n Set&#39;s background to an off-white color,\n for a lighter white try `bg_bright_white`\nSynonyms:\nchromatic.bg_white\nchromatic bg_white","url":"chromatic.html#bg_white"},{"doc":"chromatic","title":"bg_yellow","content":"pub fn bg_yellow(string: String) -&gt; String\n Set background color to yellow.\nSynonyms:\nchromatic.bg_yellow\nchromatic bg_yellow","url":"chromatic.html#bg_yellow"},{"doc":"chromatic","title":"black","content":"pub fn black(string: String) -&gt; String\n Set text color to black.\nSynonyms:\nchromatic.black\nchromatic black","url":"chromatic.html#black"},{"doc":"chromatic","title":"bleed","content":"pub fn bleed(string: String) -&gt; String\n Propagate style from this string until next reset.\n Must be the last function in the pipeline.\nSynonyms:\nchromatic.bleed\nchromatic bleed","url":"chromatic.html#bleed"},{"doc":"chromatic","title":"blue","content":"pub fn blue(string: String) -&gt; String\n Set text color to blue.\nSynonyms:\nchromatic.blue\nchromatic blue","url":"chromatic.html#blue"},{"doc":"chromatic","title":"bold","content":"pub fn bold(string: String) -&gt; String\n Set text style to bold\nSynonyms:\nchromatic.bold\nchromatic bold","url":"chromatic.html#bold"},{"doc":"chromatic","title":"bright_blue","content":"pub fn bright_blue(string: String) -&gt; String\n Set text color to a lighter blue.\nSynonyms:\nchromatic.bright_blue\nchromatic bright_blue","url":"chromatic.html#bright_blue"},{"doc":"chromatic","title":"bright_cyan","content":"pub fn bright_cyan(string: String) -&gt; String\n Set text color to a lighter cyan.\nSynonyms:\nchromatic.bright_cyan\nchromatic bright_cyan","url":"chromatic.html#bright_cyan"},{"doc":"chromatic","title":"bright_green","content":"pub fn bright_green(string: String) -&gt; String\n Set text color to a lighter green.\nSynonyms:\nchromatic.bright_green\nchromatic bright_green","url":"chromatic.html#bright_green"},{"doc":"chromatic","title":"bright_magenta","content":"pub fn bright_magenta(string: String) -&gt; String\n Set text color to a lighter magenta.\nSynonyms:\nchromatic.bright_magenta\nchromatic bright_magenta","url":"chromatic.html#bright_magenta"},{"doc":"chromatic","title":"bright_red","content":"pub fn bright_red(string: String) -&gt; String\n Set text color to a lighter red.\nSynonyms:\nchromatic.bright_red\nchromatic bright_red","url":"chromatic.html#bright_red"},{"doc":"chromatic","title":"bright_white","content":"pub fn bright_white(string: String) -&gt; String\n Set text color to a bright white color\nSynonyms:\nchromatic.bright_white\nchromatic bright_white","url":"chromatic.html#bright_white"},{"doc":"chromatic","title":"bright_yellow","content":"pub fn bright_yellow(string: String) -&gt; String\n Set text color to a lighter yellow.\nSynonyms:\nchromatic.bright_yellow\nchromatic bright_yellow","url":"chromatic.html#bright_yellow"},{"doc":"chromatic","title":"clear","content":"pub fn clear(string: String) -&gt; String\n Clears any previously added styles that would have bled into it.\n \n Only necessary if you&#39;ve used `bleed`.\n \n Like `bleed` needs to be the last function in the pipeline\nSynonyms:\nchromatic.clear\nchromatic clear","url":"chromatic.html#clear"},{"doc":"chromatic","title":"clear_str","content":"pub fn clear_str() -&gt; String\n Print this to clear any styles that are bleeding through.\nSynonyms:\nchromatic.clear_str\nchromatic clear_str","url":"chromatic.html#clear_str"},{"doc":"chromatic","title":"cyan","content":"pub fn cyan(string: String) -&gt; String\n Set text color to cyan.\nSynonyms:\nchromatic.cyan\nchromatic cyan","url":"chromatic.html#cyan"},{"doc":"chromatic","title":"decorate_ansi","content":"pub fn decorate_ansi(string: String, code: String) -&gt; String\n ANSI escape helper, adds a ANSI code to the provided string.\n This also terminates the string with the clear sequence so it doesn&#39;t affect\n other strings.\nSynonyms:\nchromatic.decorate_ansi\nchromatic decorate_ansi","url":"chromatic.html#decorate_ansi"},{"doc":"chromatic","title":"decorate_ansi_raw","content":"pub fn decorate_ansi_raw(string: String, code: String) -&gt; String\n ANSI escape helper, adds a ANSI code to the provided string.\n Unlike the `decorate_ansi` function not terminate with the clear sequence.\nSynonyms:\nchromatic.decorate_ansi_raw\nchromatic decorate_ansi_raw","url":"chromatic.html#decorate_ansi_raw"},{"doc":"chromatic","title":"gray","content":"pub fn gray(string: String) -&gt; String\n Set text color to gray.\nSynonyms:\nchromatic.gray\nchromatic gray","url":"chromatic.html#gray"},{"doc":"chromatic","title":"green","content":"pub fn green(string: String) -&gt; String\n Set text color to green.\nSynonyms:\nchromatic.green\nchromatic green","url":"chromatic.html#green"},{"doc":"chromatic","title":"italic","content":"pub fn italic(string: String) -&gt; String\n Set text style to italic\nSynonyms:\nchromatic.italic\nchromatic italic","url":"chromatic.html#italic"},{"doc":"chromatic","title":"magenta","content":"pub fn magenta(string: String) -&gt; String\n Set text color to magenta.\nSynonyms:\nchromatic.magenta\nchromatic magenta","url":"chromatic.html#magenta"},{"doc":"chromatic","title":"offset_rainbow","content":"pub fn offset_rainbow(string: String, offset: Int) -&gt; String\n Rainbow text with an integer offset\nSynonyms:\nchromatic.offset_rainbow\nchromatic offset_rainbow","url":"chromatic.html#offset_rainbow"},{"doc":"chromatic","title":"rainbow","content":"pub fn rainbow(string: String) -&gt; String\n\nSynonyms:\nchromatic.rainbow\nchromatic rainbow","url":"chromatic.html#rainbow"},{"doc":"chromatic","title":"red","content":"pub fn red(string: String) -&gt; String\n Set text color to red.\nSynonyms:\nchromatic.red\nchromatic red","url":"chromatic.html#red"},{"doc":"chromatic","title":"underline","content":"pub fn underline(string: String) -&gt; String\n Set text style to underlined\nSynonyms:\nchromatic.underline\nchromatic underline","url":"chromatic.html#underline"},{"doc":"chromatic","title":"white","content":"pub fn white(string: String) -&gt; String\n Set text color to an off-white color,\n for a lighter white try `bright_white`\nSynonyms:\nchromatic.white\nchromatic white","url":"chromatic.html#white"},{"doc":"chromatic","title":"yellow","content":"pub fn yellow(string: String) -&gt; String\n Set text color to yellow.\nSynonyms:\nchromatic.yellow\nchromatic yellow","url":"chromatic.html#yellow"},{"doc":"chromatic","title":"chromatic","content":" # Chromatic\n Composable text formatting for CLI in Gleam.\n \n ## Usage\n \n The best way to use this is through Gleam&#39;s pipelines.\n \n Check it out!\n \n ```gleam\n import chromatic.{bold, italic, magenta, rainbow}\n \n pub fn main() {\n  io.println(\n   &quot;Hello &quot;\n   &lt;&gt; &quot;Gleam&quot;\n   |&gt; magenta\n   |&gt; italic\n   |&gt; bold\n   &lt;&gt; &quot;, this is &quot;\n   &lt;&gt; &quot;Chromatic&quot;\n   |&gt; rainbow\n   |&gt; bold,\n  )\n }\n```\n ","url":"chromatic.html"}]);